%global srcname openidc-client
%global pkgname openidc_client

Name:           python-%{srcname}
Version:        0.6.0
Release:        %mkrel 3
Summary:        Python OpenID Connect client with token caching and management
Group:          Development/Python
License:        MIT
URL:            https://github.com/puiterwijk/%{name}
Source0:        %{url}/archive/v%{version}/%{name}-%{version}.tar.gz

BuildArch:      noarch

%description
%{summary}.

%package     -n python3-%{srcname}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{srcname}}
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-requests
Requires:       python3-requests

%description -n python3-%{srcname}
%{summary}.

Python 3 version.

%prep
%autosetup -n %{name}-%{version}

%build
%py3_build

%install
%py3_install

%check
%{__python3} setup.py test

%files -n python3-%{srcname}
%license COPYING
%doc README.md
%{python3_sitelib}/%{pkgname}-*.egg-info/
%{python3_sitelib}/%{pkgname}/



%changelog
* Sun Feb 16 2020 umeabot <umeabot> 0.6.0-3.mga8
+ Revision: 1533857
- Mageia 8 Mass Rebuild

* Tue Sep 24 2019 tv <tv> 0.6.0-2.mga8
+ Revision: 1445511
- rebuild for python-3.8
- drop python2 subpkg

* Sun Apr 21 2019 wally <wally> 0.6.0-1.mga7
+ Revision: 1394203
- new version 0.6.0

* Wed Jan 09 2019 shlomif <shlomif> 0.4.0-4.20171113git54dee6e.mga7
+ Revision: 1353544
- Rebuild for python3 3.7

* Fri Oct 05 2018 daviddavid <daviddavid> 0.4.0-3.20171113git54dee6e.mga7
+ Revision: 1317849
- Mageia 7 Mass Rebuild

* Sun Dec 03 2017 ngompa <ngompa> 0.4.0-2.20171113git54dee6e.mga7
+ Revision: 1180942
- Adapt for Mageia
- imported package python-openidc-client


* Mon Nov 13 2017 Mohan Boddu <mboddu@bhujji.com> - 0.4.0-1.20171113git54dee6e
- Add Requests AuthBase wrapper
- Allow specifying to not get new tokens in auther

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0-4.20170523git77cb3ee
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Tue May 23 2017 Mohan Boddu <mboddu@bhujji.com> - 0-3.20170523git77cb3ee
- Following the upstream release numbers
- Allow providing HTTP method
- Make refresh_token also update the cache

* Mon Mar 27 2017 Mohan Boddu <mboddu@bhujji.com> - 0-3.20170327git5456800
- Changed the version number to use date
- Using package name in URL

* Fri Mar 24 2017 Mohan Boddu <mboddu@bhujji.com> - 0-2.git5456800
- Skip tests on setup.py install
- Adding Requires on python{2,3}-requests
- Adding %%py{2,3}_build macros
- Adding %%py{2,3}_install macros

* Mon Mar 20 2017 Mohan Boddu <mboddu@bhujji.com> - 0-1
- Initial packaging of python-openidc-client
